public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/dbus/
Date: Wed, 27 Sep 2017 23:17:16 +0000 (UTC)	[thread overview]
Message-ID: <1506554200.71a58ff8b6cebe8b9e8aeddaf93185ecb52bdb8c.polynomial-c@gentoo> (raw)

commit:     71a58ff8b6cebe8b9e8aeddaf93185ecb52bdb8c
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 27 23:16:40 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Sep 27 23:16:40 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71a58ff8

sys-apps/dbus: Bump to version 1.10.24

Package-Manager: Portage-2.3.10, Repoman-2.3.3

 sys-apps/dbus/Manifest            |   1 +
 sys-apps/dbus/dbus-1.10.24.ebuild | 272 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 273 insertions(+)

diff --git a/sys-apps/dbus/Manifest b/sys-apps/dbus/Manifest
index 79abdba0e4c..165bb9e8c62 100644
--- a/sys-apps/dbus/Manifest
+++ b/sys-apps/dbus/Manifest
@@ -1,3 +1,4 @@
 DIST dbus-1.10.18.tar.gz 1986589 SHA256 6049ddd5f3f3e2618f615f1faeda0a115104423a7996b7aa73e2f36e38cc514a SHA512 726f97d0a2016f4f0625ba332e93e2d33bb16857cd35cb6c79da0f44fff297df948c3df62c31ffbec34713a7b85b3ff5b65f31517fe3511ddbd3bf18bd4748ed WHIRLPOOL ee164e1f6de80595fbfbcbad65d78dab4b91b5ec4e1ce88e1c4015f1c1b531f09796d54db163b2c2eceb3b92261f8a57852d2e0b29f71d9c65f9b91684433d9e
 DIST dbus-1.10.20.tar.gz 1989628 SHA256 e574b9780b5425fde4d973bb596e7ea0f09e00fe2edd662da9016e976c460b48 SHA512 0e43866b56d6ae4a5d885044793573908ce95b4dd84822292efa87f5eb0dec3d09adf58af0574ca41259b16c3d70476ef956b6c8aa3bf9ca7461e6196be71daf WHIRLPOOL 08c7b4d77cd40a8b8369f5272669cc981ec64af2f4f1233b450005e44c1db0e602aa720064dcc709e298cb4bf54db0210f9c3d93674ca2f176f47d55d6ae116d
 DIST dbus-1.10.22.tar.gz 1989350 SHA256 e2b1401e3eedc7b5c9a2034d31254c886e1fcbc7858006e0a1c59158fe4b7b97 SHA512 c5c0040717ecef66b788c5bcda94463c079502b5004639b3c1e93bb92b4de5d9be8b3fe43e18843f1d9e50411f742ba8a869375b57d479882f8aee46b613c545 WHIRLPOOL efc4a6efc78ac5ce3ba34b512ef4d74fb5f3cda563b4dcead1baf4f2d77d578fb54e8f9e69c1aa6ddf5f776bc050be69f1086428f293c0032f47acbaf66669eb
+DIST dbus-1.10.24.tar.gz 1991358 SHA256 71184eb27638e224579ffa998e88f01d0f1fef17a7811406e53350735eaecd1b SHA512 fc0b88b756affdb4fc7a62e84a6f7757121293afeadc38acf8aac48b6c2b82531e136a575be2ab503a39d7669cb7b609a021e20c1064e28c965c091e94c4f68c WHIRLPOOL a155789d60ee4d92defbf0952310d92f8ed5b51fc9c41d1c0df4e6fbebed363d8a6c526bd9c4a136a4e1c1d2eb3cd00fdfd7bfdceb8defe4b589f4cd9d90489d

diff --git a/sys-apps/dbus/dbus-1.10.24.ebuild b/sys-apps/dbus/dbus-1.10.24.ebuild
new file mode 100644
index 00000000000..4a700ffad46
--- /dev/null
+++ b/sys-apps/dbus/dbus-1.10.24.ebuild
@@ -0,0 +1,272 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} )
+
+inherit autotools ltprune linux-info flag-o-matic python-any-r1 readme.gentoo-r1 systemd virtualx user multilib-minimal
+
+DESCRIPTION="A message bus system, a simple way for applications to talk to each other"
+HOMEPAGE="https://dbus.freedesktop.org/"
+SRC_URI="https://dbus.freedesktop.org/releases/dbus/${P}.tar.gz"
+
+LICENSE="|| ( AFL-2.1 GPL-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE="debug doc elogind selinux static-libs systemd test user-session X"
+
+#RESTRICT="test"
+
+REQUIRED_USE="
+	?? ( elogind systemd )
+	test? ( debug )
+"
+
+CDEPEND="
+	>=dev-libs/expat-2
+	selinux? ( sys-libs/libselinux )
+	elogind? ( sys-auth/elogind )
+	systemd? ( sys-apps/systemd:0= )
+	X? (
+		x11-libs/libX11
+		x11-libs/libXt
+		)
+"
+DEPEND="${CDEPEND}
+	app-text/xmlto
+	app-text/docbook-xml-dtd:4.4
+	virtual/pkgconfig
+	doc? ( app-doc/doxygen )
+	test? (
+		>=dev-libs/glib-2.36:2
+		${PYTHON_DEPS}
+		)
+"
+RDEPEND="${CDEPEND}
+	selinux? ( sec-policy/selinux-dbus )
+"
+
+DOC_CONTENTS="
+	Some applications require a session bus in addition to the system
+	bus. Please see \`man dbus-launch\` for more information.
+"
+
+# out of sources build dir for make check
+TBD="${WORKDIR}/${P}-tests-build"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-enable-elogind.patch"
+)
+
+pkg_setup() {
+	enewgroup messagebus
+	enewuser messagebus -1 -1 -1 messagebus
+
+	use test && python-any-r1_pkg_setup
+
+	if use kernel_linux; then
+		CONFIG_CHECK="~EPOLL"
+		linux-info_pkg_setup
+	fi
+}
+
+src_prepare() {
+	# Tests were restricted because of this
+	sed -i \
+		-e 's/.*bus_dispatch_test.*/printf ("Disabled due to excess noise\\n");/' \
+		-e '/"dispatch"/d' \
+		bus/test-main.c || die
+
+	default
+
+	# required for bug 263909, cross-compile so don't remove eautoreconf
+	eautoreconf
+}
+
+multilib_src_configure() {
+	local docconf myconf
+
+	# so we can get backtraces from apps
+	case ${CHOST} in
+		*-mingw*)
+			# error: unrecognized command line option '-rdynamic' wrt #488036
+			;;
+		*)
+			append-flags -rdynamic
+			;;
+	esac
+
+	# libaudit is *only* used in DBus wrt SELinux support, so disable it, if
+	# not on an SELinux profile.
+	myconf=(
+		--localstatedir="${EPREFIX}/var"
+		--docdir="${EPREFIX}/usr/share/doc/${PF}"
+		--htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+		$(use_enable static-libs static)
+		$(use_enable debug verbose-mode)
+		--disable-asserts
+		--disable-checks
+		$(use_enable selinux)
+		$(use_enable selinux libaudit)
+		--disable-apparmor
+		$(use_enable kernel_linux inotify)
+		$(use_enable kernel_FreeBSD kqueue)
+		$(use_enable elogind)
+		$(use_enable systemd)
+		$(use_enable user-session)
+		--disable-embedded-tests
+		--disable-modular-tests
+		$(use_enable debug stats)
+		--with-session-socket-dir="${EPREFIX}"/tmp
+		--with-system-pid-file="${EPREFIX}"/var/run/dbus.pid
+		--with-system-socket="${EPREFIX}"/var/run/dbus/system_bus_socket
+		--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+		--with-dbus-user=messagebus
+		$(use_with X x)
+		)
+
+	if [[ ${CHOST} == *-darwin* ]]; then
+		myconf+=(
+			--enable-launchd
+			--with-launchd-agent-dir="${EPREFIX}"/Library/LaunchAgents
+		)
+	fi
+
+	if multilib_is_native_abi; then
+		docconf=(
+			--enable-xml-docs
+			$(use_enable doc doxygen-docs)
+		)
+	else
+		docconf=(
+			--disable-xml-docs
+			--disable-doxygen-docs
+		)
+		myconf+=(
+			--disable-selinux
+			--disable-libaudit
+			--disable-elogind
+			--disable-systemd
+			--without-x
+
+			# expat is used for the daemon only
+			# fake the check for multilib library build
+			ac_cv_lib_expat_XML_ParserCreate_MM=yes
+		)
+	fi
+
+	einfo "Running configure in ${BUILD_DIR}"
+	ECONF_SOURCE="${S}" econf "${myconf[@]}" "${docconf[@]}"
+
+	if multilib_is_native_abi && use test; then
+		mkdir "${TBD}" || die
+		cd "${TBD}" || die
+		einfo "Running configure in ${TBD}"
+		ECONF_SOURCE="${S}" econf "${myconf[@]}" \
+			$(use_enable test asserts) \
+			$(use_enable test checks) \
+			$(use_enable test embedded-tests) \
+			$(has_version dev-libs/dbus-glib && echo --enable-modular-tests)
+	fi
+}
+
+multilib_src_compile() {
+	if multilib_is_native_abi; then
+		# after the compile, it uses a selinuxfs interface to
+		# check if the SELinux policy has the right support
+		use selinux && addwrite /selinux/access
+
+		einfo "Running make in ${BUILD_DIR}"
+		emake
+
+		if use test; then
+			einfo "Running make in ${TBD}"
+			emake -C "${TBD}"
+		fi
+	else
+		emake -C dbus libdbus-1.la
+	fi
+}
+
+src_test() {
+	DBUS_VERBOSE=1 virtx emake -j1 -C "${TBD}" check
+}
+
+multilib_src_install() {
+	if multilib_is_native_abi; then
+		emake DESTDIR="${D}" install
+	else
+		emake DESTDIR="${D}" install-pkgconfigDATA
+		emake DESTDIR="${D}" -C dbus \
+			install-libLTLIBRARIES install-dbusincludeHEADERS \
+			install-nodist_dbusarchincludeHEADERS
+	fi
+}
+
+multilib_src_install_all() {
+	newinitd "${FILESDIR}"/dbus.initd-r1 dbus
+
+	if use X; then
+		# dbus X session script (#77504)
+		# turns out to only work for GDM (and startx). has been merged into
+		# other desktop (kdm and such scripts)
+		exeinto /etc/X11/xinit/xinitrc.d
+		doexe "${FILESDIR}"/80-dbus
+	fi
+
+	# needs to exist for dbus sessions to launch
+	keepdir /usr/share/dbus-1/services
+	keepdir /etc/dbus-1/{session,system}.d
+	# machine-id symlink from pkg_postinst()
+	keepdir /var/lib/dbus
+	# let the init script create the /var/run/dbus directory
+	rm -rf "${ED}"/var/run
+
+	dodoc AUTHORS ChangeLog HACKING NEWS README doc/TODO
+	readme.gentoo_create_doc
+
+	prune_libtool_files --all
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+
+	# Ensure unique id is generated and put it in /etc wrt #370451 but symlink
+	# for DBUS_MACHINE_UUID_FILE (see tools/dbus-launch.c) and reverse
+	# dependencies with hardcoded paths (although the known ones got fixed already)
+	dbus-uuidgen --ensure="${EROOT%/}"/etc/machine-id
+	ln -sf "${EPREFIX%/}"/etc/machine-id "${EROOT%/}"/var/lib/dbus/machine-id
+
+	if [[ ${CHOST} == *-darwin* ]]; then
+		local plist="org.freedesktop.dbus-session.plist"
+		elog
+		elog
+		elog "For MacOS/Darwin we now ship launchd support for dbus."
+		elog "This enables autolaunch of dbus at session login and makes"
+		elog "dbus usable under MacOS/Darwin."
+		elog
+		elog "The launchd plist file ${plist} has been"
+		elog "installed in ${EPREFIX}/Library/LaunchAgents."
+		elog "For it to be used, you will have to do all of the following:"
+		elog " + cd ~/Library/LaunchAgents"
+		elog " + ln -s ${EPREFIX}/Library/LaunchAgents/${plist}"
+		elog " + logout and log back in"
+		elog
+		elog "If your application needs a proper DBUS_SESSION_BUS_ADDRESS"
+		elog "specified and refused to start otherwise, then export the"
+		elog "the following to your environment:"
+		elog " DBUS_SESSION_BUS_ADDRESS=\"launchd:env=DBUS_LAUNCHD_SESSION_BUS_SOCKET\""
+	fi
+
+	if use user-session; then
+		ewarn "You have enabled user-session. Please note this can cause"
+		ewarn "bogus behaviors in several dbus consumers that are not prepared"
+		ewarn "for this dbus activation method yet."
+		ewarn
+		ewarn "See the following link for background on this change:"
+		ewarn "https://lists.freedesktop.org/archives/systemd-devel/2015-January/027711.html"
+		ewarn
+		ewarn "Known issues are tracked here:"
+		ewarn "https://bugs.gentoo.org/show_bug.cgi?id=576028"
+	fi
+}


             reply	other threads:[~2017-09-27 23:17 UTC|newest]

Thread overview: 213+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-09-27 23:17 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-31 10:47 [gentoo-commits] repo/gentoo:master commit in: sys-apps/dbus/ Andreas Sturmlechner
2024-05-22 22:10 Sam James
2024-03-19  3:42 Ionen Wolkens
2024-03-04 18:17 Jakov Smolić
2024-03-04 18:17 Jakov Smolić
2024-03-04 12:34 Arthur Zamarin
2024-03-04 12:34 Arthur Zamarin
2024-03-04 12:34 Arthur Zamarin
2024-03-04 12:34 Arthur Zamarin
2024-03-04 12:34 Arthur Zamarin
2024-03-04 12:08 Sam James
2023-09-02 22:52 Mike Gilbert
2023-07-21 19:16 Arthur Zamarin
2023-07-21 19:16 Arthur Zamarin
2023-07-21 10:51 Arthur Zamarin
2023-07-19  9:33 Sam James
2023-07-18 21:52 Sam James
2023-07-18 21:25 Sam James
2023-07-18 21:25 Sam James
2023-07-18 21:25 Sam James
2023-06-14  2:58 Sam James
2023-06-07  8:14 Sam James
2023-06-07  8:14 Sam James
2023-05-27 19:21 Arthur Zamarin
2023-05-14 17:11 Sam James
2023-05-14  7:26 Sam James
2023-05-14  0:31 Sam James
2023-04-11 16:01 Mike Gilbert
2023-04-11 16:01 Mike Gilbert
2023-04-07  1:59 Sam James
2023-04-07  1:59 Sam James
2023-04-07  1:56 Sam James
2023-04-07  1:53 Sam James
2023-04-07  1:49 Sam James
2023-04-07  1:49 Sam James
2023-04-07  1:49 Sam James
2023-04-07  1:49 Sam James
2023-04-06 18:36 Mike Gilbert
2023-04-06 18:36 Mike Gilbert
2023-02-09  2:12 Sam James
2023-02-09  1:59 Sam James
2022-11-08 20:43 Sam James
2022-11-08 20:43 Sam James
2022-11-08 20:43 Sam James
2022-11-08 20:43 Sam James
2022-11-08 20:28 Arthur Zamarin
2022-11-08 16:45 Arthur Zamarin
2022-11-08 16:24 Arthur Zamarin
2022-11-08 16:24 Arthur Zamarin
2022-10-05 19:21 Sam James
2022-10-05 19:21 Sam James
2022-10-05 19:21 Sam James
2022-10-05 19:21 Sam James
2022-09-27 16:08 Sam James
2022-09-25  1:15 Sam James
2022-09-24 21:51 Mike Gilbert
2022-09-23  0:42 Sam James
2022-09-10  3:06 Sam James
2022-08-31 11:39 Arthur Zamarin
2022-08-31  9:37 Jakov Smolić
2022-08-31  6:19 Jakov Smolić
2022-08-31  5:12 Arthur Zamarin
2022-08-31  5:12 Arthur Zamarin
2022-08-31  2:51 Sam James
2022-08-31  2:47 Sam James
2022-08-31  2:47 Sam James
2022-06-20  1:19 Sam James
2022-05-04 15:11 Jakov Smolić
2022-05-03 17:42 Arthur Zamarin
2022-05-03 17:42 Arthur Zamarin
2022-05-03 17:42 Arthur Zamarin
2022-05-03 17:42 Arthur Zamarin
2022-05-03 17:42 Arthur Zamarin
2022-04-29  8:29 Jakov Smolić
2022-04-29  8:14 Sam James
2022-04-21 16:53 Mike Gilbert
2022-03-31 21:25 Mike Gilbert
2022-02-25 18:20 Sam James
2022-01-04 10:30 David Seifert
2022-01-04  3:29 Sam James
2021-11-14 16:38 Mike Gilbert
2021-10-29  7:16 Arthur Zamarin
2021-09-19 21:38 Mike Gilbert
2021-08-18 16:05 Sam James
2021-08-18 15:56 Mike Gilbert
2021-08-17  0:56 Sam James
2021-01-06 15:26 Fabian Groffen
2020-12-27 20:12 Mike Gilbert
2020-12-23  0:46 Thomas Deutschmann
2020-12-02 19:08 Sam James
2020-11-24 19:06 Sergei Trofimovich
2020-11-23  4:37 Sam James
2020-11-23  4:37 Sam James
2020-11-23  4:37 Sam James
2020-11-23  3:59 Sam James
2020-11-22 12:26 Sergei Trofimovich
2020-11-19  0:14 Sam James
2020-11-18 23:42 Thomas Deutschmann
2020-10-04 16:07 Andreas Sturmlechner
2020-07-02 19:38 Lars Wendler
2020-06-18 17:37 Sergei Trofimovich
2020-06-17 14:21 Mart Raudsepp
2020-06-15 15:12 Agostino Sarubbo
2020-06-15 15:03 Agostino Sarubbo
2020-06-15 14:59 Agostino Sarubbo
2020-06-14 20:19 Sergei Trofimovich
2020-06-14 20:08 Sergei Trofimovich
2020-06-04 18:30 Lars Wendler
2020-02-10 13:26 Michał Górny
2019-12-26 10:37 Pacho Ramos
2019-08-14 17:43 Mike Gilbert
2019-07-28 11:24 Andreas Sturmlechner
2019-07-28 10:52 Mikle Kolyada
2019-07-28 10:48 Mikle Kolyada
2019-07-22  2:19 Aaron Bauman
2019-06-27  9:20 Agostino Sarubbo
2019-06-27  7:31 Sergei Trofimovich
2019-06-27  7:26 Sergei Trofimovich
2019-06-27  7:23 Sergei Trofimovich
2019-06-26 10:28 Agostino Sarubbo
2019-06-26  6:50 Agostino Sarubbo
2019-06-23 19:47 Sergei Trofimovich
2019-06-23 12:12 Mikle Kolyada
2019-06-23 10:29 Sergei Trofimovich
2019-06-12  7:30 Lars Wendler
2019-05-18 13:34 Lars Wendler
2019-05-18 13:34 Lars Wendler
2019-04-13 13:39 Aaron Bauman
2019-04-02 19:20 Sergei Trofimovich
2019-03-02 16:34 Mikle Kolyada
2019-03-02 16:34 Mikle Kolyada
2019-02-28 15:23 Mikle Kolyada
2019-02-27  8:20 Sergei Trofimovich
2019-02-27  8:20 Sergei Trofimovich
2019-02-27  7:55 Sergei Trofimovich
2019-02-25 22:23 Sergei Trofimovich
2019-02-25 15:01 Mikle Kolyada
2019-02-24 19:01 Thomas Deutschmann
2019-02-22  0:42 Andreas Sturmlechner
2019-02-21 23:54 Andreas Sturmlechner
2019-01-12 23:03 Thomas Deutschmann
2019-01-12 15:39 Lars Wendler
2019-01-12 15:39 Lars Wendler
2018-12-27 18:48 Fabian Groffen
2018-12-27 18:48 Fabian Groffen
2018-12-05 10:15 Lars Wendler
2018-12-05 10:15 Lars Wendler
2018-09-24 21:26 Sergei Trofimovich
2018-08-04  8:07 Lars Wendler
2018-08-04  8:07 Lars Wendler
2018-06-14 18:56 Mikle Kolyada
2018-05-26 10:22 Mikle Kolyada
2018-05-01 18:05 Lars Wendler
2018-05-01 18:05 Lars Wendler
2018-04-18  5:31 Mart Raudsepp
2018-04-16 22:01 Mikle Kolyada
2018-04-16 18:36 Sergei Trofimovich
2018-04-11 20:43 Thomas Deutschmann
2018-04-07 17:50 Sergei Trofimovich
2018-03-18  0:12 Matt Turner
2018-03-13 19:20 Mikle Kolyada
2018-03-02 12:15 Lars Wendler
2018-03-02 12:15 Lars Wendler
2018-02-20 20:41 Sergei Trofimovich
2018-02-20 16:17 Lars Wendler
2018-02-09  9:57 Lars Wendler
2018-02-09  9:57 Lars Wendler
2017-11-29 23:16 Lars Wendler
2017-11-22 16:02 Lars Wendler
2017-11-07 13:37 Lars Wendler
2017-11-06 15:29 Lars Wendler
2017-11-06 15:29 Lars Wendler
2017-09-27 23:17 Lars Wendler
2017-08-03  8:33 Lars Wendler
2017-07-28  7:41 Lars Wendler
2017-06-30 10:01 Lars Wendler
2017-06-11  4:00 Michael Palimaka
2017-05-18 19:16 Michael Weber
2017-05-13 20:52 Michael Weber
2017-05-12 14:55 Agostino Sarubbo
2017-05-04 20:02 Markus Meier
2017-05-04 15:55 Agostino Sarubbo
2017-05-04 15:08 Jeroen Roovers
2017-05-03  8:19 Agostino Sarubbo
2017-04-12 19:30 Mike Frysinger
2017-04-06 13:08 Lars Wendler
2017-02-16 23:49 Lars Wendler
2017-01-15  9:36 Aaron Bauman
2016-11-29  9:04 Lars Wendler
2016-11-29  9:04 Lars Wendler
2016-10-24 18:09 Markus Meier
2016-10-19 10:28 Agostino Sarubbo
2016-10-19 10:26 Agostino Sarubbo
2016-10-16 11:16 Tobias Klausmann
2016-10-15  4:54 Jeroen Roovers
2016-10-11  5:08 Lars Wendler
2016-10-11  5:08 Lars Wendler
2016-08-17  3:53 Jeroen Roovers
2016-08-16  8:53 Lars Wendler
2016-08-16  8:53 Lars Wendler
2016-06-06 19:28 Pacho Ramos
2016-05-31 10:15 Tobias Klausmann
2016-04-21 15:48 Markus Meier
2016-04-05 17:36 Pacho Ramos
2016-04-03 16:40 Mike Gilbert
2016-04-03 12:42 Pacho Ramos
2016-03-28 21:55 Mike Gilbert
2016-03-14 19:23 Pacho Ramos
2016-03-08  8:04 Lars Wendler
2016-03-05 17:31 Mikle Kolyada
2015-12-21 18:17 Mike Gilbert
2015-10-22 19:21 Mike Gilbert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1506554200.71a58ff8b6cebe8b9e8aeddaf93185ecb52bdb8c.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox